#include <c6x.h>
#include <csl_bootcfgAux.h>
#include <csl_ipcAux.h>

#define BOOT_MAGIC_ADDRESS 0x87FFFC // for TCI6608
#define BOOT_ENTRY_ADDRESS 0x810000
#define IPC_INTERRUPT_CORE0 0x02620240
/*convert local address to global address for EDMA on multi-core DSP*/
#define GLOBAL_ADDR(addr,corenumber) (unsigned int)addr<0x1000000?\
						(unsigned int)addr+(0x10000000+corenumber*0x1000000):\
						(unsigned int)addr
void main(void)
{
	unsigned int coreNumber;
	unsigned int *bootMagicAddr;
	unsigned int bootEntryAddr;
	unsigned int *IPCCore;

	CSL_BootCfgUnlockKicker();
	for(coreNumber=1;coreNumber<8;coreNumber++)
	{
		bootMagicAddr = (unsigned int *)(GLOBAL_ADDR(BOOT_MAGIC_ADDRESS,coreNumber));
		bootEntryAddr = GLOBAL_ADDR(BOOT_ENTRY_ADDRESS,coreNumber);
		*bootMagicAddr = bootEntryAddr;

		CSL_IPC_genGEMInterrupt(coreNumber,0);//start cores..
	}
	CSL_BootCfgLockKicker();

}
